=== debian/changelog ===
icewm (1.3.7-5) unstable; urgency=low

  * Fixing linking arguments (libm also for Gnome parts, closes: #713632)
  * Using hardening flags now, working around null pointer dereferencing in
    option parsers

 -- Eduard Bloch <blade@debian.org>  Sat, 29 Jun 2013 17:59:17 +0200

icewm (1.3.7-4) unstable; urgency=low

  * Fixing FTBFS (build dependencies)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 May 2012 12:35:05 +0200

icewm (1.3.7-3) unstable; urgency=low

  [ Eduard Bloch ]
  * Declared 32x32 icon version in menu files (closes: #664696)
  * Cleanup in debian/patches/misc_fixes
  * Cleanup of debian/rules, now using dedicated build directories for each
    flavor, with major upstream source fixes in package_build_fixes patch
  
  [ Andreas Moog ] 
  * Don't define "deprecated", use "_ICEWM_deprecated" instead 
    (closes: #661238, LP: #935179)

  [ Matthias Klose ]
  * Fix build failure with GCC 4.7. Closes: #672089.

 -- Eduard Bloch <blade@debian.org>  Wed, 23 May 2012 00:46:23 +0200

icewm (1.3.7-2) unstable; urgency=low

  * ignore_workarea_hints patch (based on patch from SF task 3471908,
    workaround for #619325) to fix Qt menus with Xinerama
  * set path to HTML help file lost during quilt transition 
    (closes: #622826, #653041)
  * kfreebsd_porting_aapm patch: enable battery status on kFreeBSD
    (closes: #650395)
  * do_not_send_configurenotify patch: prevent sending of ConfigureNotify
    causing an infinite loop with emacs23 (closes: #589432)
  * fuzzy_timers patch: icewmbg to handle multiple timeouts with less CPU
    load, from SF task 1723213 (closes: #216884)
  * debian_defaults patch: using DejaVu Sans and friends as prefered default
    fonts to support Cyrillic letters. With Depends: ttf-dejavu-core, or a
    fake package added by the user (closes: #392693)
  * obligatory packaging changes, now using XZ compression for debs

 -- Eduard Bloch <blade@debian.org>  Mon, 16 Jan 2012 19:33:00 +0100

icewm (1.3.7-1) unstable; urgency=low

  * New upstream release (closes: #614971)
  * added patch from Evgeny M. Zubok to restore focus on Emacs after raising
    Gtk applications which had focus before (closes: #519770)
  * added fontconfig to direct linking list (closes: #618101)
  * Added a note about APM graph default to README.Debian (closes: #593296)
  * fixed prerm (removal of alternatives entries for flavors, piuarts warning)
  * quoting icon paths (closes: #402483)

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Mar 2011 15:24:35 +0100
