=== debian/changelog ===
icewm (1.3.8-2) unstable; urgency=medium

  * Fix format buffer overflow in CPU tooltip rendering (closes: 765965)

 -- Eduard Bloch <blade@debian.org>  Mon, 20 Oct 2014 00:22:52 +0200

icewm (1.3.8-1) unstable; urgency=low

  * New upstream version (closes: #749475)
    + supports _NET_WM_STRUT_PARTIAL and Qt5 windows (closes: #751794)
    + fixes focus issues with JDK7 (closes: #723844)
  * removed xz setting from package building, it's default now
  * changed xlockmore suggestion and it's usage in debian_defaults patch to
    xscreensaver version (closes: #721415)
  * Added sudo halt/reboot as default calls for that actions and added
    documentation about enabling them (closes: #672403, #721416)
  * Added usage of 16x16 xpm versions for menus where available, based on
    patch by Kevin Ryde (closes: #723906)

 -- Eduard Bloch <blade@debian.org>  Mon, 22 Sep 2014 22:15:13 +0200
