=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 5.0.51), libgdk-pixbuf2.0-dev, libgnome-desktop-dev, libxrender-dev, libgnome2-dev, libgnomeui-dev, libgnomevfs2-dev, gettext, xfonts-utils, libxft-dev (>> 2.1.1) | libxft2-dev, libesd0-dev, libpng-dev, libsm-dev, libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxpm-dev (>= 1:3.5.4.2-3), libxrandr-dev, x11proto-core-dev | x-dev, linuxdoc-tools, libxt-dev, autotools-dev, dpkg-dev (>= 1.16.1~)
 Build-Conflicts: libttf-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.icewm.org
-Vcs-Svn: svn://anonscm.debian.org/pkg-icewm/
 Vcs-Browser: https://alioth.debian.org/scm/browser.php?group_id=30131
+Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-icewm/pkg-icewm.git
 
 Package: icewm-common
 Architecture: any
 Conflicts: menu (<< 2.1.9-1)
 Replaces: icewm (<< 1.2.14)
-Suggests: icewm-themes, icepref, iceme, grun, xlockmore
+Suggests: icewm-themes, xscreensaver
 Depends: ${misc:Depends}
 Recommends: menu
 Description: wonderful Win95-OS/2-Motif-like window manager
