=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+-include /usr/share/quilt/quilt.make
+
 LDFLAGS += -lm -Wl,--as-needed
 # workaround, cppflags lost somewhere in the build system
 CXXFLAGS += $(CPPFLAGS)
@@ -115,7 +117,7 @@
 	dh_testroot
 	rm -rf $(BDIR)*
 	-$(MAKE) -C po clean 
-	rm -f stamp* *stamp `find . -name "*~"` Makefile icewm.lsm icewm.spec src/icesound-* config.log src/config.h
+	rm -f stamp* *stamp config.guess config.sub Makefile config.log src/config.h
 	dh_clean
 
 install: build
@@ -159,7 +161,7 @@
 	install -m 644 $(FDO)/IceWM.desktop $(ICEWM)/usr/share/xsessions
 
 	# new, made by upstream, not decided yet how to port to other flavors
-	mv $(ICEWM_COMMON)/usr/share/xsessions/icewm-session.desktop $(ICEWM)/usr/share/xsessions
+	# user only ours for now... mv $(ICEWM_COMMON)/usr/share/xsessions/icewm-session.desktop $(ICEWM)/usr/share/xsessions
 	# we already have one...
 	-rm $(ICEWM_COMMON)/usr/share/applications/*desktop
 
@@ -205,6 +207,3 @@
 # made here.
 
 binary-arch: build install
-	dh_testdir
-	dh_testroot
-
